--------------------------1. Explain in your own words what the object method is----------------------------------
-----A method is a property containing a function definition.
JavaScript methods are actions that can be performed on objects. It is just function, which we can call we call
 from object.
-----There are some methods which we use for making some actions. Let's see the some of them. For example:

----- Object.assign() - which used to make a copy of the array.
---------- Object.create()- which used for creating the new object.
-------------Object.entries() - Returns an array containing all of the [key, value] pairs of a given object's.
------------------ Object.freeze() - used for freezes an object. It means that, other code cannot delete or change its properties.
 , and so on...
 -----------------------------------------------------Thanks for attention --------------------------------------------